#ifndef __OpenViBE_AcquisitionServer_CConfigurationEnobioAcquisition_H__
#define __OpenViBE_AcquisitionServer_CConfigurationEnobioAcquisition_H__
#if defined TARGET_HAS_ThirdPartyEnobioAPI

#include "../ovasCConfigurationBuilder.h"
#include "../ovasIDriver.h"

#include <gtk/gtk.h>

namespace OpenViBEAcquisitionServer
{
	/**
	 * \class CConfigurationEnobioAcquisition
	 * \author Masayo Haneda (Starlab)
	 * \date Thu Mar 10 13:27:16 2011
	 * \erief The CConfigurationEnobioAcquisition handles the configuration dialog specific to the Enobio1.6 device.
	 *
	 * TODO: details
	 *
	 * \sa CDriverEnobioAcquisition
	 */
	class CConfigurationEnobioAcquisition : public OpenViBEAcquisitionServer::CConfigurationBuilder
	{
	public:

		CConfigurationEnobioAcquisition(OpenViBEAcquisitionServer::IDriverContext& rDriverContext, const char* sGtkBuilderFileName);

		virtual OpenViBE::boolean preConfigure(void);
		virtual OpenViBE::boolean postConfigure(void);

	protected:

		OpenViBEAcquisitionServer::IDriverContext& m_rDriverContext;

	private:

		/*
		 * Insert here all specific attributes, such as a connection ID.
		 * Example:
		 */
		// OpenViBE::uint32 m_ui32ConnectionID;
	};
};
#endif // TARGET_HAS_ThirdPartyEnobioAPI
#endif // __OpenViBE_AcquisitionServer_CConfigurationEnobioAcquisition_H__
