#include <string>
#include <queue>
#include <StatusData.h>
#include <../interfaces/IDataConsumer.h>
using namespace std;
#if defined TARGET_HAS_ThirdPartyEnobioAPI

/*!
 * \class StatusConsumer StatusConsumer.h
 *
 * \brief Default implementation of the IDataConsumer interface.
 */
class CEnobioStatusConsumer: public IDataConsumer
{
public:
    /*!
     * Default constructor
     */
	
     CEnobioStatusConsumer ();
    ~CEnobioStatusConsumer ();
	void receiveData (const PData& data) ;
	void clearBuffer();

	int consumeErrorData(StatusData::statusCode *buffer);
	int consumeInfoData(StatusData::statusCode *buffer);
	static const int buffer_length=30;
private:
	queue <StatusData::statusCode> error_queue;
	queue <StatusData::statusCode> info_queue;
	int current_info_length;
	int current_error_length;
	
};
#endif // TARGET_HAS_ThirdPartyEnobioAPI
